Source: libfilter-perl
Section: perl
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper-compat (= 12), perl (>= 5.8.0-3), libtest-pod-perl (>= 1.00)
Standards-Version: 3.9.8
Homepage: https://metacpan.org/release/Filter/
Vcs-Git: https://salsa.debian.org/debian/libfilter-perl.git
Vcs-Browser: https://salsa.debian.org/debian/libfilter-perl
Testsuite: autopkgtest-pkg-perl
Rules-Requires-Root: no

Package: libfilter-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: cpp
Suggests: libcompress-zlib-perl
Description: Perl source filters
 Source filters alter the program text of a module before Perl sees it, much
 as a C preprocessor alters the source text of a C program before the
 compiler sees it.
 .
 This package contains a number of source filters, including:
 .
   exec and sh: pipe the source file through an external command
   cpp: pipe the source file through the C preprocessor
   decrypt: example of simple (though weak!) source obfuscation
   tee: copy filtered source to a file (debugging aid)
 .
 A substantial amount of documentation and examples is also included.
